# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%bcond_without repolib

%define section free

Name:           ecj3
Version:        3.7
Release:        1%{?dist}
Epoch:          1
Summary:        Eclipse Compiler for Java
Group:          Development/Languages
License:        EPL
URL:            http://www.eclipse.org/
Source0:        http://mirrors.ibiblio.org/pub/mirrors/eclipse/eclipse/downloads/drops/R-3.7-201106131736/ecjsrc-3.7.jar
Source1:        core-3.7.pom
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       java
Requires:       jpackage-utils
BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  jpackage-utils
%if %with repolib
BuildRequires:  maven2-plugin-deploy
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Eclipse Compiler for Java.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q -c

%build
export CLASSPATH=
export OPT_JAR_LIST=:
%{ant}

export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
export URL=file:`pwd`/maven2-brew
%{_bindir}/mvn-jpp deploy:deploy-file -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DpomFile=%{SOURCE1}  -Dfile=ecj.jar -Durl=${URL} -DrepositoryId=oss-releases

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p ecj.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
%{__ln_s} %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms
%{__cp} -p %{SOURCE1} %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom
%add_to_maven_depmap org.eclipse.jdt core %{version} JPP %{name}

%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com
%{__cp} -pr maven2-brew %{buildroot}%{_javadir}/repository.jboss.com
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}-%{version}.jar
%{_javadir}*/%{name}.jar
%{_datadir}/maven2/poms/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Wed Jul 20 2011 David Walluck <dwalluck@redhat.com> 1:3.7-1
- 3.7
- add pom

* Mon Sep 20 2010 David Walluck <dwalluck@redhat.com> 1:3.6-2
- replace tabs with spaces

* Mon Sep 20 2010 David Walluck <dwalluck@redhat.com> 1:3.6-1
- 3.6
- fix GCJ support option
- remove unused files

* Fri May 14 2010 Martha Benitez <mbenitez@redhat.com> - 1:3.3.1.1-3.1.1
- rebuilt

* Tue Apr 20 2010 Yiqiao Wang <yiwang@redhat.com> 1:3.3.1.1-3.1.1
- Rebuild

* Thu Dec 04 2008 Permaine Cheung <pcheung@redhat.com> 1:3.3.1.1-3.1
- Add Provides: ecj-non-eclipse

* Sat Jun 28 2008 David Walluck <dwalluck@redhat.com> 1:3.3.1.1-3.jpp5
- bump Epoch to match Fedora

* Sun Jun 22 2008 David Walluck <dwalluck@redhat.com> 0:3.3.1.1-2.jpp5
- make some fixes for gcj support

* Fri Oct 26 2007 Jason Corley <jason.corley@gmail.com> - 0:3.3.1.1-1jpp
- update to 3.3.1.1

* Fri Mar 23 2007 Jason Corley <jason.corley@gmail.com> - 0:3.3-1jpp
- update to 3.3
- add R on java and BR on sed

* Fri Mar 23 2007 Jason Corley <jason.corley@gmail.com> - 0:3.2.2-3jpp
- remove jdtcore link

* Mon Mar 12 2007 Jason Corley <jason.corley@gmail.com> - 0:3.2.2-2jpp
- rename to just ecj
- add gcj compilation switches (Andrew Overholt)

* Fri Mar  2 2007 Jason Corley <jason.corley@gmail.com> - 0:3.2.2-1jpp
- first attempt at a noarch ecj only package
